VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "RectButton"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa RectButton
Implements Command
Private selected As Boolean
Private med As Mediator
Private butn As MSComctlLib.Button

Public Sub init(md As Mediator, tbutn As MSComctlLib.Button)
  Set med = md
  Set butn = tbutn
  med.registerRectButton Me
End Sub
'-----
Private Sub Command_Execute()
   med.startRectangle
End Sub
'-----
Public Sub setSelected(sel As Boolean)
  selected = sel
  If sel Then
    butn.Value = tbrPressed
  Else
    butn.Value = tbrUnpressed
  End If
End Sub
